%global realname riak_pipe
%global upstream basho
%global debug_package %{nil}
%global git_tag 5f2edb7
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.3.2
Release:	3%{?dist}
Summary:	Riak Pipelines
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_pipe
VCS:		https://github.com/basho/riak_pipe.git
# wget --content-disposition https://github.com/basho/riak_pipe/tarball/1.3.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-riak_pipe-0001-Don-t-treat-warnings-as-errors.patch
Patch2:		erlang-riak_pipe-0002-Add-xmerl-to-the-list-of-apps-and-rearrange-them.patch
Patch3:		erlang-riak_pipe-0003-Fix-for-Erlang-R16B01.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-os_mon
BuildRequires:	erlang-riak_core >= 1.3.2
Requires:	erlang-cluster_info%{?_isa}
# Error:erlang(lists:keyfind/3) in R12B and older
# Error:erlang(os:timestamp/0) in R12B and older
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-folsom%{?_isa}
Requires:	erlang-hipe%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-lager%{?_isa}
Requires:	erlang-riak_core%{?_isa} >= 1.3.2
Requires:	erlang-stdlib%{?_isa}


%description
Riak Pipelines.


%prep
%setup -q -n %{upstream}-%{realname}-7858e20
%patch1 -p1 -b .dont_fail_on_warnings
%patch2 -p1 -b .fix_app_deps
%patch3 -p1 -b .r16b01


%build
rebar compile -v
#rebar doc -v
rm -rf doc/edoc-info


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 644 priv/app.slave0.config $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%check
%ifnarch %{arm}
rebar eunit skip_deps=true -v
%endif


%files
%doc LICENSE README.org
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/app.slave0.config


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-2
- Don't run tests on ARM - one of them will fail for unknown (for me) reason

* Wed Jul 31 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-2
- Added builddep on os_mon

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2.p1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p1
- Ver. 1.2.1p1

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.1-1
- Initial build
